This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 812306 - Vblade export to bridge, no etherdrive seen in virtual
Vblade export to bridge, no etherdrive seen in virtual
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vblade (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Patrick Laughton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 06:46 EDT by Louis Mulder
Modified: 2013-02-13 10:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:03:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Louis Mulder 2012-04-13 06:46:33 EDT
Description of problem:


Version-Release number of selected component (if applicable):
vblade-14-7.fc15.x86_64


How reproducible:

If you export a etherdrive to a bridge with a vnet to a kvm virtual machine, the virtual will not see the drive. It is dicovered during a setup where local disks of 2 machines are mirrored with MD-devices by using etherdrives within the guest. After some investigation I found out when you do the same on the Ubuntu platform it works. Ubuntu is using the vblade version of Coraid so I downloaded the source and compiled it on Fedora and RH 6.2 EL and the problem was gone. Please update the rpm with the latest vblade sources. Also worthful is to take a look at the aoe-drivers off Coraid and upgrade also aoe-tools to a higher version. Be aware the scripts of Coraid has some minor bugs in it because some of the files/devices are placed in other directories outside /dev/etherd/... and are not adjusted in the scripts such as aoe-discover.


Steps to Reproduce:

1. Create a LVM volume or disk-image and export this with vblade to a bridge used also by a KVM virtual. You can also use a ISO image to export. KVM virtual must run on the same host where the export takes place.
2. Modprobe or activate the aoe driver in the virtual, the drive is not appearing. 
3. Download the source code of Coraid and compiled it. Stop the original vblade with a kill and use the newly build vblade to export the LVM volume/disk-image.
Perform a aoe-stat in the virtual and it will be seen if not try a aoe-discover and repeat aoe-stat.
  
Actual results:


Expected results:


Additional info:

If this is available for virtuals you can hide on host-level the storage luns by using MAC-masking. Using separate networkcards without any IP traffic on it can enhance security for virtual DMZ servers, using AoE has lesser overhead then for example NFS/iSCSI. Using Intel servers with a storage bay will be more valuable to use because it will deliver a cheap way to do live-migrates between the hosts. It is also very easy to setup so it would be also nice to include AoE within the Anaconda installer or Kickstart in the near future.

Regards Louis
Comment 1 Fedora End Of Life 2013-01-16 09:04:36 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 10:03:10 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.